#!/usr/bin/env python
# encoding: utf-8
import datetime
import os
import shutil
import subprocess
import time

# 备份目录
backup_dir = "/root/db_backup"
# backup_prefix和backup_suffix分别为备份文件的前缀和后缀
backup_prefix = "db_backup"
backup_suffix = "%Y-%m-%d-%H"


# 获取备份文件名
def get_backup_filename():
    t = time.strftime(backup_suffix, time.localtime())
    return "%s_%s" % (backup_prefix, t)

cmd_template = "scp ipaddress:/root/db_backup/{fileName}.zip /root/db_backup/"


# 备份指定数据库
def backup_database(fileName):
    d = {
        "fileName": fileName,
    }
    cmd = cmd_template.format(**d)
    subprocess.call(cmd, shell=True)


# 备份数据库
def backup():
    fileName = get_backup_filename()
    try:
        backup_database(fileName)
    finally:
        print('scp finished')
        #shutil.rmtree(backup_path)



if __name__ == "__main__":
    try:
        backup()
    finally:
        print('scp>>>')
﻿